Summary: A library of DSP functions for telephony spans
Name: spandsp
Version: 0.0.6
Release: 17_pre18%{?dist}
Epoch: 1
License: GPLv2
Group: System Environment/Libraries
URL: http://www.soft-switch.org/
Source0: http://www.soft-switch.org/downloads/spandsp/spandsp-%{version}pre17.tgz
#Patch0: spandsp-0.0.6-soname.patch
#Patch1: spandsp-0.0.6-datadir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: autoconf, automake, libtool
BuildRequires: libtiff-devel >= 3.5.7
BuildRequires: audiofile-devel, fftw-devel, fltk-devel
BuildRequires: libxml2-devel, netpbm-progs
BuildRequires: sox
BuildRequires: doxygen
BuildRequires: libxslt, docbook-style-xsl

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%lib_package spandsp 2

%prep
%setup -q
#patch0 -p1 -b .linkage
#%patch0 -p1 -b .soname
#%patch1 -p1 -b .datadir

%build
#autoreconf
%configure \
  --disable-dependency-tracking \
  --disable-static \
  --enable-doc \
%ifarch %{ix86} x86_64
  --enable-mmx --enable-sse --enable-sse2 --enable-sse3
%endif
#  --enable-itutests
make -C doc "CFLAGS=%{optflags}" || :
make "CFLAGS=%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README DueDiligence NEWS
#%{_datadir}/spandsp/

%changelog
* Sat Mar 26 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.6-17_pre18
- Update to 0.0.6pre18.

* Thu Apr  1 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.6-16_pre17
- Update to 0.0.6pre17.

* Sun Jun  7 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.6-15_pre12
- Add docbook-style-xsl to build dependencies.

* Sat Jun 06 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:0.0.6-14_pre12
- Update to 0.0.6pre12.

* Fri Mar 27 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:0.0.6-13_pre7
- Update to 0.0.6pre7.

* Fri Jun 13 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:0.0.4-12_pre16
- Revert back to 0.0.4pre16.

* Wed Mar 26 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:0.0.4-10_pre18
- Update to 0.0.4pre18.

* Sat Jul 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.3-7
- Update to 0.0.3 final.

* Fri Dec 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.3-6_pre27
- Update to 0.0.3pre27.

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.3-5_pre24
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Fri Oct 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.0.3-4_pre24
- Update to 0.0.3pre24.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.2pre26.

* Tue Nov 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.2-pre21c.

* Sun Apr 3 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial build.
